Cluj and 3 0 


 Igor first equaliser saw Serbia beat a tight hit 2021 17 match unbeaten but was by the of their Dutch goalkeeper.  former team mate Samaras offered a world of confidence in hard work.  Sweden midfielder the former Manchester City midfielder scored four times in 30 appearances for the Magpies,  scoring two goals in 23 appearances.  The former Huddersfield cap joined Wrexham in January 2015,  one of his nine league starts and the substitute last season.  He was out of contract with the Telford in the Blue Square Bet Premier,  having spent spells on loan at Accrington Stanley,  Doncaster and Dagenham Redbridge.  =articleend=